Subject: Re: linux-next: origin tree build failure

From: Peter Ujfalusi <[email-masked]>
Date: Tue, 15 Dec 2009 15:01:27 +0200

Hello,

On Tuesday 15 December 2009 07:41:08 ext Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> drivers/mfd/twl4030-codec.c:29:31: error: linux/i2c/twl4030.h: No such file
>  or directory
> 
> (there were more, but I assume that they all stem form this one).
> 
> Caused by commit 0b83ddebc6e884dc0221358cf68c461520fbdd8e ("MFD: twl4030:
> add twl4030_codec MFD as a new child to the core") from Linus' tree
> interacting with commit b07682b6056eb6701f8cb86aa5800e6f2ea7919b ("mfd:
> Rename twl4030* driver files to enable re-use") also from Linus' tree.
> This file seems to have been missed in the renaming.

Yes, the twl4030-codec MFD driver went in earlier than the twl4030 rename patch, 
which does not taken care of the twl4030-codec MFD driver for some reasons.

The patch looks good, I might also align the twl4030-codec MFD driver with the 
renamed twl core soon.
I have to check the feasibility of this first, since the renaming was done to 
facilitate the addition of twl6030 (OMAP4 companion chip), and I don't have yet 
access to the documentation.

Thank you,
Péter
--
To unsubscribe from this list: send the line "unsubscribe linux-omap" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html